### Method

# GObject ValueArray prepend

deprecated: 2.32

#### Declaration [src]

    GValueArray*
    g_value_array_prepend (
      GValueArray* value_array,
      const GValue* value
    )

#### Description [src]

Insert a copy of `value` as first element of `value_array`. If `value` is `NULL`, an uninitialized value is prepended.

Deprecated since: 2.32

Use `GArray` and `g_array_prepend_val()` instead.

#### Parameters

`value`

  Type: `GValue`

  `GValue` to copy into `GValueArray`, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

#### Return value

Type: `GValueArray`

The `GValueArray` passed in as `value_array`.

The returned data is owned by the instance.